Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-grunt-legacy-log
Version:        1.0.2
Release:        alt1_3
Summary:        The Grunt 0.4.x logger

License:        MIT
URL:            https://github.com/gruntjs/grunt-legacy-log
Source0:        https://registry.npmjs.org/grunt-legacy-log/-/grunt-legacy-log-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(nodeunit)
BuildRequires:  npm(colors)
BuildRequires:  npm(grunt-legacy-log-utils)
BuildRequires:  npm(hooker)
BuildRequires:  npm(lodash)
BuildRequires:  npm(underscore.string)
Source44: import.info


%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep colors "^1.1.2"
%nodejs_fixdep lodash "^3.10.1"
%nodejs_fixdep underscore.string "^2.3.1"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-log
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/grunt-legacy-log
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
FORCE_COLOR=1 %{nodejs_sitelib}/nodeunit/bin/nodeunit test/index.js


%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG
%doc --no-dereference LICENSE-MIT
%{nodejs_sitelib}/grunt-legacy-log


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_3
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt0.1.njs.bootstrap
- bootstrap

